------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-09-18
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(150, 111)
local Player_1 = CppScriptMgr:AddSimplePlayer(1061570, 147, 113, "", 0, 0)
Player_1:SetDir(5)
local Player_2 = CppScriptMgr:AddPlayer(146, 152, 109, "", 0, 0)
Player_2:SetZoomPercent(120)
local Effect_5 = CppScriptMgr:AddEffect("ty_ymz", 147, 113, 33, 1, 1, 1)
Effect_5:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Stop! The underworld needs peace!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2024qqws2", 150, 430, "Duke Macabre", 250, 655, true)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1480)
Player_2:SetAction(101)
CppScriptMgr:NpcCallOut("Incompetent coward!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "Nether Duke", 250, 655, true)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(401)
Player_2:SetAction(401)
CppScriptMgr:NpcCallOut("With my million soldiers, why can`t I be the ruler of all!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "Nether Duke", 250, 655, true)
CppScriptMgr:WaitMilSec(1490)
Player_2:SetAction(101)
CppScriptMgr:NpcCallOut("Once I become the lord of the underworld, I will dominate everything!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "Nether Duke", 250, 655, true)
local effect_0 = CppScriptMgr:AddEffect("ride_screen", 152, 109, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1480)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("I will never let you harm the underworld again!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2024qqws2", 150, 430, "Duke Macabre", 250, 655, true)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ShakeScrEffect(5)
local Effect_8 = CppScriptMgr:AddEffect("xuanyuan_skill3", 150, 112, 33, 1, 1, 1)
Effect_8:Scale(2, 2, 2)
local Effect_1 = CppScriptMgr:AddEffect("HHQZS_FireBall", 147, 113, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("QiFuLev3", 150, 111, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(80)
Player_1:SetAction(401)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(920)
Player_1:SetAction(401)
Player_2:SetAction(401)
local Effect_2 = CppScriptMgr:AddEffect("zs_ww_xh", 147, 113, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("dispersiong_coat02", 147, 113, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_9 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 147, 113, 33, 1, 1, 1)
Player_1:SetAction(401)
Player_2:SetAction(401)
local Effect_6 = CppScriptMgr:AddEffect("130200", 152, 109, 33, 1, 1, 1)
local Effect_7 = CppScriptMgr:AddEffect("xidag_bafi", 147, 113, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(401)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(401)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("I`ll be back!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "Nether Duke", 250, 655, true)
local Effect_10 = CppScriptMgr:AddEffect("zf2-e233", 152, 109, 33, 1, 1, 1)
ChangeNpcZoom(Player_2, 120, 0, 5, 33)
CppScriptMgr:WaitMilSec(1950)